
var barcodeValue = "14353204052015";
var barcodeType = "ean13";
var barcodeRendertype = "css";
var barcodewidth = 1;
var barcodeheight = 30;
var timeOfDay;
var currentTime;
var currentTimeString;
var hsrString;
var time_to_change_wall;

function init() {
  updateClock();
  setInterval(updateClock, 1000);
  
}

function generateBarcode(){
        var value = barcodeValue;
        var btype = barcodeType;
        var renderer = barcodeRendertype;
        var quietZone = true;
        var settings = {
          output:renderer,
          bgColor: "transparent",
          color: "#8D8D8D",
          barWidth: barcodewidth,
          barHeight: barcodeheight,
          moduleSize: 5,
          posX: 10,
          posY: 20,
          addQuietZone: quietZone
        };

          $("#barcodeTarget").html("").show().barcode(value, btype, settings);
}

          
function updateClock() {
   currentTime = new Date();
   var currentHours = currentTime.getHours();
   //h = currentTime.getHours();
   var currentMinutes = currentTime.getMinutes() < 10 ? '0' + currentTime.getMinutes() : currentTime.getMinutes();
   var currentSeconds = currentTime.getSeconds() < 10 ? '0' + currentTime.getSeconds() : currentTime.getSeconds();
   time_to_change_wall = currentHours + currentMinutes/60;
   timeOfDay = ( currentHours < 12 ) ? "AM" : "PM";
   var currentDay = currentTime.getDay();
   var currentDate = currentTime.getDate();
   var currentMonth = currentTime.getMonth()+1;
   var currentYear = currentTime.getFullYear();

   if (currentMonth<10) {
      currentMonth = "0" + currentMonth;
   }
   if (currentDate<10) {
      currentDate = "0" + currentDate;
   }



   if (USclocktype == false) {
      timeOfDay = "";
      currentHours = ( currentHours < 10 ? "0" : "" ) + currentHours;
      currentTimeString = currentHours + ":" + currentMinutes + ":" + currentSeconds + " - " + currentDate + "." + currentMonth + "." + currentYear;

hsrString =currentHours + currentMinutes + currentSeconds + currentDate + currentMonth + currentYear;

   } else {
      currentHours = ( currentHours > 12 ) ? currentHours - 12 : currentHours;
      currentHours = ( currentHours == 0 ) ? 12 : currentHours;
      currentTimeString = currentHours + ":" + currentMinutes + ":" + currentSeconds + " - " + currentDate + "." + currentMonth + "." + currentYear;
      hsrString =currentHours + currentMinutes + currentSeconds + currentDate + currentMonth + currentYear;
   }
   barcodeValue = hsrString;
   generateBarcode();
}
      

      

    

      

      